## org.eclipse.emf.ecoretools.diagram.view.factories
Class EEnumLiteralsViewFactory

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.view.factories.AbstractViewFactory
          org.eclipse.gmf.runtime.diagram.ui.view.factories.BasicNodeViewFactory
              org.eclipse.emf.ecoretools.diagram.view.factories.EEnumLiteralsViewFactory

All Implemented Interfaces:
  org.eclipse.gmf.runtime.diagram.core.view.factories.ViewFactory

    public class EEnumLiteralsViewFactory

extends org.eclipse.gmf.runtime.diagram.ui.view.factories.BasicNodeViewFactory

Constructor Summary
`EEnumLiteralsViewFactory()`

Method Summary
`protected java.util.List` `createStyles(org.eclipse.gmf.runtime.notation.View view)`
`protected void` `decorateView(org.eclipse.gmf.runtime.notation.View containerView, org.eclipse.gmf.runtime.notation.View view, org.eclipse.core.runtime.IAdaptable semanticAdapter, java.lang.String semanticHint, int index, boolean persisted)`
`protected void` `setupCompartmentCollapsed(org.eclipse.gmf.runtime.notation.View view)`
`protected void` `setupCompartmentTitle(org.eclipse.gmf.runtime.notation.View view)`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.view.factories.BasicNodeViewFactory
`createLayoutConstraint, createNode, createView, isUnProtectedSilentTransactionInProgress`

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.view.factories.AbstractViewFactory
`getEditingDomain, getPreferencesHint, getViewService, initializeFromPreferences, requiresElement, requiresElement, setPreferencesHint`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EEnumLiteralsViewFactory

    public EEnumLiteralsViewFactory()

Method Detail

### createStyles

    protected java.util.List createStyles(org.eclipse.gmf.runtime.notation.View view)

  Overrides:
    `createStyles` in class `org.eclipse.gmf.runtime.diagram.ui.view.factories.AbstractViewFactory`

### decorateView

    protected void decorateView(org.eclipse.gmf.runtime.notation.View containerView,
                                org.eclipse.gmf.runtime.notation.View view,
                                org.eclipse.core.runtime.IAdaptable semanticAdapter,
                                java.lang.String semanticHint,
                                int index,
                                boolean persisted)

  Overrides:
    `decorateView` in class `org.eclipse.gmf.runtime.diagram.ui.view.factories.BasicNodeViewFactory`

### setupCompartmentTitle

    protected void setupCompartmentTitle(org.eclipse.gmf.runtime.notation.View view)

### setupCompartmentCollapsed

    protected void setupCompartmentCollapsed(org.eclipse.gmf.runtime.notation.View view)

Copyright 2007 Anyware Technologies. All Rights Reserved.